/*******************************************************************************
 * I9 TECHNOLOGIES CONFIDENTIAL
 * __________________
 * Copyright © 2013 i9 Technologies 
 * All Rights Reserved.
 * 
 * NOTICE:  All information contained herein is, and remains the property 
 * of i9 Technologies and its suppliers, if any.  The intellectual and technical 
 * concepts contained herein are proprietary to i9 Technologies and its 
 * suppliers and may be covered by U.S. and Foreign Patents, patents in 
 * process, and are protected by trade secret or copyright law. Dissemination 
 * of this information or reproduction of this material is strictly forbidden 
 * unless prior written permission is obtained from i9 Technologies.
 ******************************************************************************/
package com.xmlnamespace.panel.vaadin.shared.ui;

import com.vaadin.shared.communication.URLReference;

/**
 * UserComponentItem that defines a user action button
 */
public class UserButtonItem extends UserComponentItem {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The icon. */
    private URLReference icon;

    /**
     * Instantiates a new user button item.
     */
    public UserButtonItem() {
        super();
    }

    /**
     * Instantiates a new user button item.
     *
     * @param icon the icon
     */
    public UserButtonItem(URLReference icon) {
        super();
        this.icon = icon;
    }

    /**
     * Gets the icon.
     *
     * @return the icon
     */
    public URLReference getIcon() {
        return icon;
    }

    /**
     * Sets the icon.
     * 
     * Use UserComponent.setButtonItemIcon() when setting resources
     *
     * @param icon the new icon
     */
    public void setIcon(URLReference icon) {
        this.icon = icon;
        fireChangeListeners();
    }

}
