/*******************************************************************************
 * I9 TECHNOLOGIES CONFIDENTIAL
 * __________________
 * Copyright © 2013 i9 Technologies 
 * All Rights Reserved.
 * 
 * NOTICE:  All information contained herein is, and remains the property 
 * of i9 Technologies and its suppliers, if any.  The intellectual and technical 
 * concepts contained herein are proprietary to i9 Technologies and its 
 * suppliers and may be covered by U.S. and Foreign Patents, patents in 
 * process, and are protected by trade secret or copyright law. Dissemination 
 * of this information or reproduction of this material is strictly forbidden 
 * unless prior written permission is obtained from i9 Technologies.
 ******************************************************************************/
package com.xmlnamespace.panel.vaadin.shared.ui;

import java.util.List;

import com.vaadin.shared.communication.ClientRpc;

/**
 * RPC interface used to send events from the server to the client
 */
public interface UserComponentClientRpc extends ClientRpc {

    /**
     * Sets the account popup items.
     *
     * @param items the new account popup items
     */
    public void setAccountPopupItems(List<UserAccountPopupItem> items);

    /**
     * Adds an account popup item.
     *
     * @param item the new item
     */
    public void addAccountPopupItem(UserAccountPopupItem item);

    /**
     * Removes an account popup item.
     *
     * @param item the item removed
     */
    public void removeAccountPopupItem(UserAccountPopupItem item);

    /**
     * Update an account popup item.
     *
     * @param item the item updated
     */
    public void updateAccountPopupItem(UserAccountPopupItem item);

    /**
     * Sets the user button items.
     *
     * @param items the new user button items
     */
    public void setUserButtonItems(List<UserButtonItem> items);

    /**
     * Adds a user button item.
     *
     * @param item the new item
     */
    public void addUserButtonItem(UserButtonItem item);

    /**
     * Removes a user button item.
     *
     * @param item the item removed
     */
    public void removeUserButtonItem(UserButtonItem item);

    /**
     * Update a user button item.
     *
     * @param item the item updated
     */
    public void updateUserButtonItem(UserButtonItem item);
    
    /**
     * Sets the conversation start time.
     *
     * @param seconds the number of seconds to start the conversation timer at
     * or -1 to hide the conversation timer
     */
    public void setConvCurrentTime(long elapsedMillis);

}
